package cn.pluss.platform.vo;

import cn.pluss.platform.entity.DeviceTransfer;
import cn.pluss.platform.util.StringUtil;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * TODO
 * 设备划拨记录返回参数封装
 * @author crystal
 * @date 2022/4/1 15:02
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DeviceTransferVO extends DeviceTransfer {

    /**
     * 划拨人名称
     */
    private String acceptName;

    /**
     * 接受人手机号
     */
    private String acceptPhone;

    /**
     * 绑定描述
     */
    private String bindDesc;

    /**
     * 划出用户名称
     */
    private String userName;

    /**
     * 划出用户手机号
     */
    private String phone;

    /**
     * 设备划拨详情
     */
    private List<DeviceTransferDetailVO> detailList;


    public String getUserName() {
        if(StringUtil.isEmpty(this.userName)){
            this.userName = "收银呗";
        }
        return userName;
    }

    public String getPhone() {
        if(StringUtil.isEmpty(this.phone)){
            this.phone = "4006752070";
        }
        return phone;
    }
}
